Firewalls

Create firewall rules

POST/v1/networking/firewall/groups/{id}/rules

Authorizations

  • X-API-KEYstringheaderrequired

    Organization API key. Create one in the cloud console at https://cloud.serverside.com; the key is shown once, when it is created.

Path parameters

  • idstring<uuid>required

Body

application/json

The body is a JSON array. Each item has these fields.

  • typeenum<string>

    Allowed values:ALLOWBLOCKRATE_LIMIT

  • directionenum<string>

    Allowed values:INBOUNDOUTBOUND

  • protocolenum<string>

    Allowed values:ANYTCPUDPICMPICMP_V6GRE

  • sourcePortStartinteger<int32> | null

    Limits:1 <= x <= 65535

  • sourcePortEndinteger<int32> | null

    Limits:1 <= x <= 65535

  • sourceAddressstring | null
  • destPortStartinteger<int32> | null

    Limits:1 <= x <= 65535

  • destPortEndinteger<int32> | null

    Limits:1 <= x <= 65535

  • rateLimitPpsinteger<int32> | null

    Limits:x >= 1

  • packetCriteriaobject
  • descriptionstring | null

    Limits:length <= 100

Response

200 · application/json

OK

  • successboolean
  • messagestring | null
  • exceptionstring | null
  • codestring | null
  • errorsobject | null
  • traceIdstring | null
  • dataobject[] | null
  • paginationobject